
<ng-container *ngIf="error$ | async as mensajeError">
    <app-page-error [payload]="mensajeError"></app-page-error>
</ng-container>

<ng-container *ngIf="loading$ | async">
    <app-page-loading/>
</ng-container>

<ng-container *ngIf="!(error$ | async)">
    <app-title titulo="Cliente Nuevo/Actualizar"></app-title>
    <div class="card flex justify-content-center ">
        <form [formGroup]="formCliente" autocomplete="off" (ngSubmit)="onSave()">
            <div class="flex flex-column gap-2 mt-4">
                <label class="block font-bold mb-2" >Nit del cliente</label>
                <input type="text" pInputText formControlName="nit" />
                <small *ngIf="formCliente.controls['nit'].getError('required') && formCliente.controls['nit'].touched" id="nombre-help">
                    Nit del cliente es obligatorio
                </small>
            </div>
            <div class="flex flex-column gap-2 mt-4">
                <label class="block font-bold mb-2" >Nombre del cliente</label>
                <input type="text" pInputText formControlName="nombre" />
                <small *ngIf="formCliente.controls['nombre'].getError('required') && formCliente.controls['nombre'].touched" id="nombre-help">
                    El nombre del cliente debe ser valido
                </small>
            </div>
            <div class="flex flex-column gap-2 mt-4">
                <label class="block font-bold mb-2" >Email del cliente</label>
                <input type="email" pInputText formControlName="email" />
                <small *ngIf="formCliente.controls['email'].getError('required') && formCliente.controls['email'].touched" id="nombre-help">
                    El email del cliente debe ser valido
                </small>
            </div>
            <div class="card flex justify-content-center gap-2 mt-4">
                <label class="block font-bold mb-2" >Estado del cliente</label>
                <p-selectButton 
                    [options]="stateOptions" 
                    formControlName="estado" 
                    optionLabel="label" 
                    optionValue="value" />
            </div>
            <small *ngIf="formCliente.controls['estado'].getError('required') && formCliente.controls['estado'].touched" id="nombre-help">
                El email del cliente debe ser valido
            </small>
            <div class="flex flex-column gap-2 mt-4">
                <button 
                    type="submit"
                    pButton 
                    label="Submit" 
                    class="p-button-success"
                    [disabled]="formCliente.invalid">
                </button>
            </div>
        </form>
    </div>
</ng-container>
